<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="stylesheets/crearAmbiente.css" />
    <title>Crear aula</title>
  </head>
  <body>
    <%- include('navbar'); %>
    <main>
      <div class="label">INDIVIDUAL</div>
      <form id="crear-ambiente" action="/api/ambiente" method="POST">
        <label class="labelForm" for="nombre-ambiente"
          >Nombre del Ambiente</label
        >
        <input
          class="inputForm"
          name="nombreAmbiente"
          value="690C"
          id="nombre-ambiente"
          type="text"
          required
          minlength="3"
          maxlength="15"
        />

        <label class="labelForm" for="descripcion-ambiente">Descripción</label>
        <input
          class="inputForm"
          name="descripcion"
          value="Aula nueva"
          id="descripcion-ambiente"
          type="text"
          maxlength="50"
        />

        <label class="labelForm" for="capacidad-ambiente">Capacidad</label>
        <input
          class="inputForm"
          name="capacidad"
          value="40"
          id="capacidad-ambiente"
          type="number"
          min="0"
          max="160"
        />
        <label class="labelForm" for="facilidad-ambiente"
          >Facilidad (puedes seleccionar varios con ctrol+click)</label
        >
        <select
          class="inputForm listaOpciones"
          name="facilidades"
          id="facilidad-ambiente"
          multiple
          required
        >
          <% for(let fac of facilidades){ %>
          <option value="<%= fac%>" %>><%= fac %></option>
          <% } %>
        </select>

        <label class="labelForm" for="tipo-ambiente">Tipo de ambiente</label>
        <select
          class="inputForm listaOpciones"
          name="tipoAmbiente"
          id="tipo-ambiente"
        >
          <% for(let tipo of tipos){ %>
          <option value="<%=tipo  %>"><%=tipo %></option>
          <% } %>
        </select>

        <div>
          <button id="crear-btn" type="submit">Reservar</button>
        </div>
      </form>
      <form action=""></form>

      <div class="label">LOTES</div>

      <form
        id="crear-ambiente-lote"
        action="/api/ambiente-lote"
        method="POST"
        enctype="multipart/form-data"
      >
        <label class="labelForm" for="fileInput">examinar</label>
        <input id="fileInput" type="file" accept=".csv" />

        <div>
          <button id="crear-btn" type="submit">Reservar</button>
        </div>
      </form>
    </main>
    <script src="./scripts/crearAmbiente.js"></script>
  </body>
</html>
